Ruby: rb_thread_sched_item Struct Reference

Ruby 3.3.5p100 (2024-09-03 revision ef084cc8f4958c1b6e4ead99136631bef6d8ddba)

Data Fields
rb_thread_sched_item Struct Reference

## Data Fields
struct { |
struct ccan_list_node ubf |
struct ccan_list_node readyq |
struct ccan_list_node timeslice_threads |
struct ccan_list_node running_threads |
struct ccan_list_node zombie_threads |
} | node |
struct { |
enum | thread_sched_waiting_flag { thread_sched_waiting_none = 0x00 , thread_sched_waiting_timeout = 0x01 , thread_sched_waiting_io_read = 0x02 , thread_sched_waiting_io_write = 0x08 , thread_sched_waiting_io_force = 0x40 }
enum rb_thread_sched_item:: { ... } ::thread_sched_waiting_flag flags |
struct { |
uint64_t timeout |
int fd |
int result |
} data |
struct ccan_list_node node |
} | waiting_reason |
bool | finished
bool | malloc_stack
void * | context_stack
struct coroutine_context * | context
void * | vm_stack

## Detailed Description

Definition at line 15 of file thread_none.h.

## Field Documentation

## ◆ context

struct coroutine_context* rb_thread_sched_item::context

Definition at line 69 of file thread_pthread.h.

## ◆ context_stack

void* rb_thread_sched_item::context_stack

Definition at line 68 of file thread_pthread.h.

## ◆ fd

int rb_thread_sched_item::fd

Definition at line 58 of file thread_pthread.h.

## ◆ finished

bool rb_thread_sched_item::finished

Definition at line 66 of file thread_pthread.h.

## ◆ malloc_stack

bool rb_thread_sched_item::malloc_stack

Definition at line 67 of file thread_pthread.h.

## ◆ node

struct ccan_list_node rb_thread_sched_item::node

Definition at line 63 of file thread_pthread.h.

## ◆ readyq

struct ccan_list_node rb_thread_sched_item::readyq

Definition at line 27 of file thread_pthread.h.

## ◆ result

int rb_thread_sched_item::result

Definition at line 59 of file thread_pthread.h.

## ◆ running_threads

struct ccan_list_node rb_thread_sched_item::running_threads

Definition at line 35 of file thread_pthread.h.

## ◆ timeout

uint64_t rb_thread_sched_item::timeout

Definition at line 56 of file thread_pthread.h.

## ◆ timeslice_threads

struct ccan_list_node rb_thread_sched_item::timeslice_threads

Definition at line 31 of file thread_pthread.h.

## ◆ ubf

struct ccan_list_node rb_thread_sched_item::ubf

Definition at line 23 of file thread_pthread.h.

## ◆ vm_stack

void* rb_thread_sched_item::vm_stack

Definition at line 30 of file thread_win32.h.

## ◆ zombie_threads

struct ccan_list_node rb_thread_sched_item::zombie_threads

Definition at line 38 of file thread_pthread.h.

The documentation for this struct was generated from the following files:

- thread_none.h
- thread_pthread.h
- thread_win32.h